<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/ref.fdf.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'pt_BR',
  ),
  'this' => 
  array (
    0 => 'function.fdf-add-doc-javascript.php',
    1 => 'fdf_add_doc_javascript',
  ),
  'up' => 
  array (
    0 => 'ref.fdf.php',
    1 => 'FDF Fun&ccedil;&otilde;es',
  ),
  'prev' => 
  array (
    0 => 'ref.fdf.php',
    1 => 'FDF Fun&ccedil;&otilde;es',
  ),
  'next' => 
  array (
    0 => 'function.fdf-add-template.php',
    1 => 'fdf_add_template',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'en',
    'path' => 'reference/fdf/functions/fdf-add-doc-javascript.xml',
  ),
  'history' => 
  array (
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="function.fdf-add-doc-javascript" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">fdf_add_doc_javascript</h1>
  <p class="verinfo">(PHP 4 &gt;= 4.3.0, PHP 5 &lt; 5.3.0, PECL fdf SVN)</p><p class="refpurpose"><span class="refname">fdf_add_doc_javascript</span> &mdash; <span class="dc-title">Adds javascript code to the FDF document</span></p>

 </div>
 
 <div class="refsect1 description" id="refsect1-function.fdf-add-doc-javascript-description">
  <h3 class="title">Descrição</h3>
  <div class="methodsynopsis dc-description">
   <span class="methodname"><strong>fdf_add_doc_javascript</strong></span>(<span class="methodparam"><span class="type"><a href="language.types.resource.php" class="type resource">resource</a></span> <code class="parameter">$fdf_document</code></span>, <span class="methodparam"><span class="type"><a href="language.types.string.php" class="type string">string</a></span> <code class="parameter">$script_name</code></span>, <span class="methodparam"><span class="type"><a href="language.types.string.php" class="type string">string</a></span> <code class="parameter">$script_code</code></span>): <span class="type"><a href="language.types.boolean.php" class="type bool">bool</a></span></div>

  <p class="para rdfs-comment">
   Adds a script to the FDF, which Acrobat then adds to the doc-level scripts
   of a document, once the FDF is imported into it. 
  </p>
 </div>


 <div class="refsect1 parameters" id="refsect1-function.fdf-add-doc-javascript-parameters">
  <h3 class="title">Parâmetros</h3>
  <p class="para">
   <dl>
    
     <dt><code class="parameter">fdf_document</code></dt>
     <dd>
      <p class="para">
       The FDF document handle, returned by <span class="function"><a href="function.fdf-create.php" class="function">fdf_create()</a></span>,
       <span class="function"><a href="function.fdf-open.php" class="function">fdf_open()</a></span> or <span class="function"><a href="function.fdf-open-string.php" class="function">fdf_open_string()</a></span>.
      </p>
     </dd>
    
    
     <dt><code class="parameter">script_name</code></dt>
     <dd>
      <p class="para">
       The script name.
      </p>
     </dd>
    
    
     <dt><code class="parameter">script_code</code></dt>
     <dd>
      <p class="para">
       The script code. It is strongly suggested to use <code class="literal">\r</code>
       for linebreaks within the script code.
      </p>
     </dd>
    
   </dl>
  </p>
 </div>


 <div class="refsect1 returnvalues" id="refsect1-function.fdf-add-doc-javascript-returnvalues">
  <h3 class="title">Valor Retornado</h3>
  <p class="para">
   Retorna <strong><code><a href="reserved.constants.php#constant.true">true</a></code></strong> em caso de sucesso ou <strong><code><a href="reserved.constants.php#constant.false">false</a></code></strong> em caso de falha.
  </p>
 </div>


 <div class="refsect1 examples" id="refsect1-function.fdf-add-doc-javascript-examples">
  <h3 class="title">Exemplos</h3>
  <p class="para">
   <div class="example" id="">
    <p><strong>Exemplo #1 Adding JavaScript code to a FDF</strong></p>
    <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br />$fdf </span><span style="color: #007700">= </span><span style="color: #0000BB">fdf_create</span><span style="color: #007700">();<br /></span><span style="color: #0000BB">fdf_add_doc_javascript</span><span style="color: #007700">(</span><span style="color: #0000BB">$fdf</span><span style="color: #007700">, </span><span style="color: #DD0000">"PlusOne"</span><span style="color: #007700">, </span><span style="color: #DD0000">"function PlusOne(x)\r{\r  return x+1;\r}\r"</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">fdf_save</span><span style="color: #007700">(</span><span style="color: #0000BB">$fdf</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
    </div>

    <div class="example-contents"><p>
     will create a FDF like this:
    </p></div>
    <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">%FDF-1.2
%âãÏÓ
1 0 obj
&lt;&lt;
/FDF &lt;&lt; /JavaScript &lt;&lt; /Doc [ (PlusOne)(function PlusOne\(x\)\r{\r  return x+1;\r}\r)] &gt;&gt; &gt;&gt;
&gt;&gt;
endobj
trailer
&lt;&lt;
/Root 1 0 R

&gt;&gt;
%%EOF</pre>
</div>
    </div>
   </div>
  </p>
 </div>


</div><?php manual_footer($setup); ?>